Subject: Re: Please merge wip-haskell-updates (Re: [bug#36807] remove obsolete broken haskell packages)

From: Marius Bakke <[email-masked]>
Date: Wed, 07 Aug 2019 13:19:38 +0200

Robert Vollmert <[email-masked]> writes:

> Oh, I meant to ask:
>
> On 6. Aug 2019, at 06:29, Timothy Sample <[email-masked]> wrote:
>> Robert Vollmert <[email-masked]> writes:
>> 
>>> Hi all, Timothy,
>> 
>> Cool!  I’m in the process of looking everything over.  In the meantime,
>> I have some early questions and comments.
>> 
>>> I’ve incorporated your comments, and removed
>>> ghc-packedstring. In addition, the branch incorporates some other
>>> patchsets:
>>> 
>>> #36493: updating GHC-included haskell dependencies (this one is already
>>>        in core-updates)
>> 
>> I think it makes sense to wait for the core-updates merge (which
>> shouldn’t be too far out).
>
> Why? Shouldn’t substitutes be available since CI built the branch successfully?

core-updates is still waiting for a full-rebuild change, and the CI is
currently unusable, so merging might take a month or more still.

Getting this in 'master' meanwhile would be great, especially for i686
users :-)